<?php
include("qs.php");
require( '../data/config.php');
$conn=mysql_connect($db_host,$db_user,$db_pass);
mysql_query("set names 'utf8'");
mysql_select_db($db_name);
if (PHP_VERSION >= '5.1' && !empty($timezone))
{
    date_default_timezone_set($timezone);
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<HTML xmlns="http://www.w3.org/1999/xhtml">
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<META http-equiv="Pragma" content="no-cache" />
<LINK href="css/general.css" rel="stylesheet" type="text/css" />
<LINK href="css/main.css" rel="stylesheet" type="text/css" />
</HEAD><BODY>
<div class="h2">系统管理 >> 博群列表管理</div>
<div class="list-div">
<table cellspacing='1' cellpadding='3'>
<tr>
  <th align='left'><table width="100" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td><div align="left">&nbsp;&nbsp;博群列表管理</div></td>
        <td width="150"><div align="center"><h1><span class="action-span"><a href="bq_list_w.php">添加</a></span></h1>
        </div></td>
      </tr>
    </table></th>
</tr>
<tr><td align="left" valign="top" style="background:#F5F5F5;padding-bottom:8px;">
<TABLE cellSpacing=0 cellPadding=0 width="90%" border=0 CALLPADDING="0" style="margin-right:30px;">
			  <tr>
                    <td height="20" bgcolor="#CCCCCC" style="PADDING-LEFT: 8px; PADDING-TOP: 8px">排序</td>
                    <td bgcolor="#CCCCCC" style="PADDING-LEFT: 8px; PADDING-TOP: 8px"><span class="STYLE1">博主名称</span></td>
                    <td bgcolor="#CCCCCC" style="PADDING-LEFT: 8px; PADDING-TOP: 8px">博主网址</td>
                    <td bgcolor="#CCCCCC" style="PADDING-LEFT: 8px; PADDING-TOP: 8px">调用文章数目</td>
                    <td bgcolor="#CCCCCC"><div align="center" class="STYLE1">操作</div></td>
          </tr>
<form id="form1" name="form1" method="post" action="bq_list_w.php">
			   <?php
$sql="select count(*) from tm_bq_list";
$resultc=mysql_query($sql) or die(mysql_error());
$rsc=mysql_fetch_array($resultc);
$num=$rsc[0];
$pagesize=12; 
if(_get('page')<>"")
   {
   $page=_get('page')-1;
   if($page<0)$page=0;
   if($page>(intval($num/$pagesize)))$page=intval($num/$pagesize);
   }
else
	$page=0;
			$sql="select * from tm_bq_list order by px limit ".$pagesize*$page.",".$pagesize;
		  $rsql=mysql_query($sql);
		  while($rs=mysql_fetch_object($rsql))
		  {
			  ?>
             <TR BORDER="0" WIDTH="100%" bgcolor="#DDDDDD" onmousemove="this.style.color='#000000';this.style.backgroundColor='#C5C5C5'" onmouseout="this.style.backgroundColor='#DDDDDD';this.style.color='#000000'">
                <TD width="6%"  height=25 
                align=left vAlign=top style="PADDING-LEFT: 8px; PADDING-TOP: 8px; border-bottom:#666666 dotted 1px;">
                  <input name="px<?php echo $rs->id;?>" type="text" id="px<?php echo $rs->id;?>" style="background:#EEEEEE; border:none; width:30px; text-align:center; border-bottom:#000000 1px solid;" value="<?php echo $rs->px;?>" /></TD>
                <TD  height=20 
                align=left vAlign=top style="PADDING-LEFT: 8px; PADDING-TOP: 8px; border-bottom:#666666 dotted 1px;">
                <?php echo $rs->name;?></TD>
              
                <TD  height=20 
                align=left vAlign=top style="PADDING-LEFT: 8px; PADDING-TOP: 8px; border-bottom:#666666 dotted 1px;"><?php echo $rs->url;?></TD>
                <TD  height=20 
                align=left vAlign=top style="PADDING-LEFT: 8px; PADDING-TOP: 8px; border-bottom:#666666 dotted 1px;"><?php echo $rs->num;?></TD>
                <TD width="32%" 
                align=left vAlign=top style="PADDING-LEFT: 8px; PADDING-TOP: 8px;border-bottom:#666666 dotted 1px;"><div align="center"><a href="bq_list_w.php?id=<?php echo $rs->id;?>">修改</a>&nbsp;<a onclick="return confirm('确定要删除吗,删除后数据不可恢复？')" href="bq_list_w.php?action=del&amp;id=<?php echo $rs->id;?>">删除</a></div></TD>
            </TR>
			  
		  <?php }?>

			<TR BORDER="0" WIDTH="100%">
              <TD height="30"  colspan="5"><input type="submit" name="Submit" value="修改排序" />
		                      <input name="action" type="hidden" id="action" value="px" /></TD>
            </TR>
</form>	
<TR BORDER="0" WIDTH="100%">
			  <TD height="30"  colspan="5">
			  <div class="page">
		  总数：<?php echo $num;?>,每页显示<?php echo $pagesize;?>，共<?php echo ceil($num/$pagesize);?>页，
	      <a href="bq_list.php?page=1&title=<?php echo urlencode($title);?>&cid=<?php echo $cid;?>">首页</a><?php if($page>0) echo " <a href='bq_list.php?page=".$page."&title=".urlencode($title)."&cid=".$cid."'>上一页</a> ";
for($i=($page>4?($page-3):1);$i<=($page<(ceil($num/$pagesize)-4)?(($page>=5?($page-3):1)+8):ceil($num/$pagesize));$i++)
    {
	if(($page+1)==($i))
	echo "&nbsp;".$i."&nbsp;";
	else
	echo "<a href=bq_list.php?page=".$i."&title=".urlencode($title)."&cid=".$cid.">[".($i)."]</a>";
	}
	?><?php if($page<ceil($num/$pagesize)-1) echo " <a href='bq_list.php?page=".($page+2)."&title=".urlencode($title)."&cid=".$cid."'>下一页</a> ";?><a href="bq_list.php?page=<?php echo round(ceil($num/$pagesize));?>&title=<?php echo urlencode($title);?>&cid=<?php echo $cid;?>">末页</a>		  </div>			  </TD>
		  </TR>
      </TABLE>
</td>
</tr></table></div>

<?php include "boot.php";?>
</body></html>
<script language="JavaScript" >

function chkform(theForm,msg,action){
	if (confirm(msg)){

		document.forms[theForm].action.value = action;
		document.forms[theForm].submit();
		return true;
	}else{
		return false;
	}
}

// -------- 全選或取消 checkbox 方塊
<!--
function select_all(formName, elementName, selectAllName) {
	if(document.forms[formName].elements[selectAllName].checked) {
		
		if(document.forms[formName].elements[selectAllName].length = 1 &&
		    typeof(document.forms[formName].elements[elementName]) != "undefined" ) {
		
			document.forms[formName].elements[elementName].checked = true;

		    for(var i = 0; i < document.forms[formName].elements[elementName].length; i++)
			document.forms[formName].elements[elementName][i].checked = true;
		}
	}
	else {
		if(document.forms[formName].elements[selectAllName].length = 1 &&
		    typeof(document.forms[formName].elements[elementName]) != "undefined" ) {
			document.forms[formName].elements[elementName].checked = false;

		    for(var i = 0; i < document.forms[formName].elements[elementName].length; i++)
				document.forms[formName].elements[elementName][i].checked = false;
		}
	}
}
//-->
</script>